
// -- METHOD ----------------------------------------------------------------
/** Factory for a version specific Comparator on field <i>${field.name}</i>.
@since    ${field.since}
@return   a Comparator that just compares the values of field <i>${field.name}</i> as versions.
*///-------------------------------------------------------------------------
public static final Comparator<${class}> ${field.comparator}()
{
  return new Comparator<${class}>() {
    public int compare(
      final ${class} pLeft,
      final ${class} pRight
    )
    {
      if ( pLeft == pRight ) {
        return 0;
      } else if ( pLeft == null && pRight != null ) {
        return -1;
      } else if ( pLeft != null && pRight == null ) {
        return 1;
      } else {
        return VersionImpl.compareVersionStrings( pLeft.${field.member}, pRight.${field.member} );
      }
    } // compare
  };
} // ${field.comparator}

